Bug 115083 - No net install -- fails to bring up device 'eth'
No net install -- fails to bring up device 'eth'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 06:37 EST by Joseph Fannin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 22:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Fannin 2004-02-06 06:37:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040122 Galeon/1.3.12 (Debian package 1.3.12-1)

Description of problem:
I am unable to do a network install using the boot.iso in rawhide. 
Anaconda thinks all my ethernet devices are named 'eth' (no numbers)
and so fails to bring up the device.  Removing all but one card didn't
fix things.  

All of the cards use the tlan driver, and show up on virtual terminal
4 with proper name(eth0, eth1, eth2) when the driver is loaded.  When
trying to bring up the interface, vt4 says:

<7>request_module: failed /sbin/modprobe -- eth. error = -16

and vt3 says:

* pump told us: SIOCSIFADDR: No such device.

I am unable to find a version number for Anaconda within the minimal
boot-floppish environment, so this is what I downloaded directly from
RedHat early in the morning on Feb 6.

Version-Release number of selected component (if applicable):
(2003-02-06)

How reproducible:
Always

Steps to Reproduce:
1. boot with boot.iso.  commandline is "linux askmethod vnc"
2. attempt an ftp or http install
3. network setup fails.

Additional info:
Comment 1 Jeremy Katz 2004-02-06 09:55:35 EST
Have you run a 2.6 kernel on this box otherwise?  If so, can you get
the output of kudzu -p -c NETWORK while running in 2.6?
Comment 2 Joseph Fannin 2004-02-06 13:35:40 EST
This box has been running 2.6(-test) kernels for about 6 months with
no problems.  It has a working install of rawhide (upgraded from FC1
with yum), running kernel-2.6.1-1.65smp:

[root@ctesiphon root]# kudzu -p -c NETWORK
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: tlan
desc: "Compaq|Netelligent 10/100"
vendorId: 0e11
deviceId: ae32
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  e
pcifn:  0
Comment 3 Jeremy Katz 2004-04-15 00:54:04 EDT
Should be fixed with test2 and later 
Comment 4 Joseph Fannin 2004-04-28 22:26:10 EDT
*nods*  This is working for me now.  Thanks!  I'll close this.

Note You need to log in before you can comment on or make changes to this bug.